#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 hslua-marshalling
version:              2.3.1
visibility:           public
id:                   hslua-marshalling-2.3.1-1G7DMrojWC0EUgaqk0l0tX
key:                  hslua-marshalling-2.3.1-1G7DMrojWC0EUgaqk0l0tX
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2024 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Marshalling of values between Haskell and Lua.
description:
    Provides functions to marshal values from Haskell
    to Lua, and /vice versa/.

    This package is part of HsLua, a Haskell framework
    built around the embeddable scripting language
    <https://lua.org Lua>.

category:             Foreign
abi:                  e15a07eaf8d231e81fc8aa259127f0b1
exposed:              True
exposed-modules:
    HsLua.Marshalling HsLua.Marshalling.Peek HsLua.Marshalling.Peekers
    HsLua.Marshalling.Push HsLua.Marshalling.Userdata

import-dirs:          /usr/lib/ghc-9.8.2/site-local/hslua-marshalling-2.3.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/hslua-marshalling-2.3.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/hslua-marshalling-2.3.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/hslua-marshalling-2.3.1
hs-libraries:         HShslua-marshalling-2.3.1-1G7DMrojWC0EUgaqk0l0tX
depends:
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    containers-0.6.8-inplace hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9
    mtl-2.3.1-inplace text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-marshalling-2.3.1/html/hslua-marshalling.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-marshalling-2.3.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

